#! /usr/bin/env perl

package API::Submission;

use v5.10.1;
use strict;
use warnings;
use Carp;

use ACU::API::Base;

sub add
{
    my $year = shift;
    my $project = shift;
    my $tag = shift;
    my $user = shift;
    my $log = shift;

    my $res = API::Base::send('ResultHandler', "projects/submissions/add.xml", [ leader_login => $user, project_name => $project, year => $year, log => $log, tag => $tag ]);

    if ($res->{result} != '0') {
	croak "Erreur durant le rendu : ".$res->{message};
    }
}

sub get
{
    my $year = shift;
    my $project = shift;
    my $tag = shift;
    my $user = shift;

    my $res = API::Base::get('ResultHandler', "projects/submissions/get/$project/$year/$user/$tag.xml");

    if ($res->{result} == '0') {
	say "Rendu déjà effectué";
    }
    elsif ($res->{result} == '1') {
	say "Pas encore rendu";
    }
    else {
	say "Erreur: retour de l'API non valide.";
    }
}

1;
