#!/bin/sh

if [ -z "$2" ]
then
    echo "Usage: $0 [year] <project> <submission> [login ...]"
    exit 1
fi

if ! which gearman > /dev/null 2> /dev/null
then
    echo "gearman isn't installed on this machine. Please try another one."
    exit 1
fi

if [ "x${1:0:2}" = "x20" ]
then
    YEAR="$1"
    shift
else
    YEAR=`ldapsearch -x -b "cn=year,dc=acu,dc=epita,dc=fr" | grep "^year" | cut -d " " -f 2`
fi
PROJECT_ID=$1
RENDU=$2

shift 2

LOGINS=
while [ $# -gt 0 ]
do
    LOGINS="$LOGINS  <param>$1</param>
"
    shift
done

cat <<EOF | gearman -h gearmand-srv -p 4730 -f moulette_get
<?xml version="1.0" encoding="UTF-8"?>
<process>
  <param name="type">moulette</param>
  <param name="year">$YEAR</param>
  <param name="id">$PROJECT_ID</param>
  <param name="rendu">$RENDU</param>
$LOGINS</process>
EOF

echo
