#!/bin/sh

usage()
{
    echo "Usage: $0 [-d] [year] <project> <submission> <login> [login ...]"
}

if [ -z "$3" ]
then
    usage
    exit 1
fi

if ! which gearman > /dev/null 2> /dev/null
then
    echo "gearman isn't installed on this machine. Please try another one."
    exit 1
fi

if [ "x$1" = "x-d" ]
then
    BACKGROUD=
    shift
else
    BACKGROUD="-b"
fi

if [ "x${1:0:2}" = "x20" ]
then
    YEAR="  <param name=\"year\">$1</param>"
    shift
else
    YEAR=
fi
PROJECT_ID=$1
RENDU=$2

shift 2

if [ $# -le 0 ]
then
    usage
    exit 1
fi

while [ $# -gt 0 ]
do
    LOGIN=$1
    cat <<EOF | gearman -h gearmand -p 4730 -f send_git $BACKGROUD
<?xml version="1.0"?>
<process>
$YEAR
  <param name="id">$PROJECT_ID</param>
  <param name="rendu">$RENDU</param>
  <param name="login">$LOGIN</param>
</process>
EOF
    shift
done
