#!/usr/bin/env perl

use strict;
use warnings;
use v5.10;
use Data::Dumper;

use ACU::API::Projects;

my $projid = $ARGV[0];
my $year = $ARGV[1] // LDAP::get_year;

my $res = API::Projects::get_groups($projid, $year);

map {
    my $chief;

    # First, found the chief
    for my $member (@{ $_->{stds} })
    {
	if ($member->{chief} eq "true" or $member->{chief} eq "1" or $member->{chief} eq "chief")
	{
	    $chief = $member;
	    last;
	}
    }

    my @members;
    for my $member (@{ $_->{stds} }) {
	push @members, $member->{login};
    }

    say "repo $year/$projid/$chief->{login}";
    say "     -   ACU-moulette   =  ", join(" ", @members);
    say "     -   refs/tags/ACU- =  ", join(" ", @members);
    say '     RW+                =  @admins ', join(" ", @members);
    say '     RW  ACU-moulette   =  @moulettes';
    say '     RW+ refs/tags/ACU- =  @moulettes';
    say "     R                  =  \@chefs \@resp-$year-$projid \@soutenance-$year-$projid \@moulettes intradmin-hamano";
} @{ $res->{groups} };
